## org.eclipse.amp.amf.testing
Class ATestStandaloneSetup

    java.lang.Object
      org.eclipse.amp.amf.testing.ATestStandaloneSetupGenerated
          org.eclipse.amp.amf.testing.ATestStandaloneSetup

All Implemented Interfaces:
  org.eclipse.xtext.ISetup

    public class ATestStandaloneSetup

extends ATestStandaloneSetupGenerated

Initialization support for running Xtext languages without equinox extension registry

Constructor Summary
`ATestStandaloneSetup()`

Method Summary
`static void` `doSetup()`

Methods inherited from class org.eclipse.amp.amf.testing.ATestStandaloneSetupGenerated
`createInjector, createInjectorAndDoEMFRegistration, register`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestStandaloneSetup

    public ATestStandaloneSetup()

Method Detail

### doSetup

    public static void doSetup()